/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2018                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  Copyright (c) 2011                                                     **
**  University of Oregon, Eugene, USA                                      **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube.services.transformation;
import java.lang.*;
import java.math.BigInteger;
/*

 * Class , delivers file structure of CubeX
 *
 */
public interface EndianessCorrection
{
    public char
    applyOn( char a );
    public byte
    applyOn( byte a );
    public short
    applyOn( short a );
    public int
    applyOn( int a );
    public long
    applyOn( long a );
    public double
    applyOn( double a );
    public Byte
    applyOn( Byte a );
    public Short
    applyOn( Short a );
    public Integer
    applyOn( Integer a );
    public Long
    applyOn( Long a );
    public Double
    applyOn( Double a );

    public byte[]
    applyOn( byte[] a );
}
